Installing HDF Services on an Existing HDP Cluster
Also available as:

Upgrade the Ambari Agents

  1. Upgrade all Ambari Agents. On each host in your cluster running an Ambari Agent:

    • For RHEL/CentOS/Oracle Linux:

      yum upgrade ambari-agent
    • For SLES:

      zypper up ambari-agent

      Ignore the warning that begins with "There are some running programs that use files deleted by recent upgrade".


      When performing upgrade on SLES, you will see a message "There is an update candidate for 'ambari-agent', but it is from different vendor. Use 'zypper install ambari-agent-2.6-143.noarch' to install this candidate". You will need to use yast to update the package, as follows:

      1. From the command line run: > yast

        > yast

        You will see command line UI for YaST program.

      2. Choose Software > Software Management, then click the Enter button.

      3. In the Search Phrase field, enter ambari-agent, then click the Enter button.

      4. On the right side you will see the search result ambari-agent 2.6. Click Actions, choose Update, then click the Enter button.

      5. Go to Accept, and click enter.

    • For Ubuntu/Debian:

      apt-get update
      apt-get install ambari-agent
  2. After the upgrade process completes, check each host to make sure the new files have been installed:

    For RHEL/CentOS/Oracle Linux 6:
    rpm -qa | grep ambari-agent
    For RHEL/CentOS/Oracle Linux 7:
    rpm -qa | grep ambari-agent
    For SLES 11:
    rpm -qa | grep ambari-agent
    For SLES 12:
    rpm -qa | grep ambari-agent
    For Ubuntu 14:
    dpkg -l ambari-agent
    For Ubuntu 16:
    dpkg -l ambari-agent
    For Debian 7:
    dpkg -l ambari-agent